BasicFileChooserUI.NewFolderAction (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicFileChooserUI, class: NewFolderAction
Keywords: javax.swing.plaf.basic.BasicFileChooserUI.NewFolderAction class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicFileChooserUI.NewFolderAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicFileChooserUI.NewFolderAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  BasicFileChooserUI

protected class BasicFileChooserUI.NewFolderAction extends AbstractAction
Creates a new folder.

- ## Field Summary

  ### Fields declared in class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NewFolderAction()`
  Constructs a `NewFolderAction`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  Invoked when an action occurs.

  ### Methods declared in class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.Action

  `accept`

- ## Constructor Details

  - ### NewFolderAction

    protected NewFolderAction()
    Constructs a `NewFolderAction`.

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Invoked when an action occurs.
    Parameters:
      `e` - the event to be processed